Error en la instalación de paquetes (solucionado)

Dudas y comentarios relacionadas con paquetes o programas específicos (obtención, uso, actualizaciones, versiones, problemas de instalación, etc.)

Moderadores: doc, Deckon

Responder
Miguel_Debian
Forista Nuevo
Forista Nuevo
Mensajes: 36
Registrado: Lun Mar 14, 2011 4:44 pm

Error en la instalación de paquetes (solucionado)

Mensaje por Miguel_Debian »

Hola! Hace tiempo estuve por aquí, y llevaba mucho tiempo usando debian sin problema, pero ahora me ha surgido uno.

Verán, hoy he abierto el gestor de aplicaciones synaptic y me ha aparecido el siguiente error:
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_main_binary-i386_Packages
E: Las listas de paquetes o el archivo de estado no se pueden analizar sintácticamente o abrir
E: _cache->open() failed, please report.

Con un rápida búsqueda en google he ejecutado en el terminal rm var/lib/apt/lists/* -vf y después he hecho un apt-get update, pero esto no ha solucionado el problema, es más, lo sigo teniendo y ahora me dice desde el gestor de actualizaciones que hay otro error, aparte del mencionado arriba, que dice:
Error: Abriendo la caché (W:ignoring file 'opera.list.save' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension.

Pues eso, que no sé qué hacer para solucionarlo y por ahora no puedo instalar ni desinstalar paquetes de forma gráfica :S

Saludos!

EDITO: buff qué vergüenza me da esto pero lo he solucionado probando yo ahora mismo. Para el que tenga el mismo problema, he ejecutado en un terminal lo siguiente:
su
cd /var/lib/apt/lists/ (esto lo hice para ir a la carpeta y ver el archivo si estaba allí, cosa que comprobé con el comando ls)
rm /var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_main_binary-i386_Packages

Por ahora me funcionan todos los gestores de paquetes bien, ¿alguien me confirma que lo que he hecho es correcto?
Última edición por Miguel_Debian el Lun Sep 24, 2012 10:25 pm, editado 1 vez en total.

Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Error en la instalación de paquetes

Mensaje por niky45 »

por el error parecia que el problame estaba en un repo de opera, pero si lo has hecho lo ha solucionado, pues parace eque no era de opera sino de chrome.

de cualquier manera, respondiendo a tu pregunta: si, es correcto. lo unico que has borrado es la lista de paquetes que hay en el repo de google, que por alguna razon, estaba mal. por cierto, dicha lista deberia regenerarse (esta vez sin dar problemas), tras un update. :wink:
Miguel_Debian escribió:EDITO: buff qué vergüenza me da esto pero lo he solucionado probando yo ahora mismo.
para nada, hombre. es mil veces mejor asi. me refiero: tu mismo has sido capaz de encontrar la solucion, Y la has compartido. que mas podemos pedir?? (aka, si, a mi me pasa lo mismo casi casi a cada post que abro. que no es que sean muchos, pero.... :? )

:D

PD: ya que lo has solucionado, estaria bien que editaras el titulo indicandolo, con el objetivo de facilitar el uso del buscador del foro. :wink:
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

Miguel_Debian
Forista Nuevo
Forista Nuevo
Mensajes: 36
Registrado: Lun Mar 14, 2011 4:44 pm

Re: Error en la instalación de paquetes

Mensaje por Miguel_Debian »

Bueno, lo cierto es que con el update me vuelve a dar error :S Creo que en google alguien está metiendo la pata, y es que el error me fastidia todos los gestores de paquetes y se actualiza sólo cada cierto tiempo, pero mal, con lo que tengo que volver a hacer el proceso. Voy a actualizar el chromium desde synaptic a ver si se arregla. Si no lo hiciera, ¿alguna forma de reportarlo?

Saludos y gracias por su ayuda :)

EDITO: deben ser las repos de google las que tienen el error. Hice una actualización de los apt y me sigue dando error, e incluso reinstalé chromium desde las repos del software center. Creo que es eso. Saludos.

Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Error en la instalación de paquetes

Mensaje por niky45 »

el repo de google ultimamente da problema,s yo tambien lo tuve que desactivar. lo cierto es que ahora mismo no es un repo de software, como tal, asi que.... tira de los oficiales, que en el peor de los casos, en non-free estara chrome (ya sabes que en los libres esta chromium, que viene a ser lo msimo pero sin el codigo no libre de google. )
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje